mixin CabeceraFormulario(Titulo)
    div.d-flex.justify-content-between.flex-wrap.flex-md-nowrap.align-items-center.pt-3.pb-2.mb-3.border-bottom
        h5=Titulo 
        div.btn-toolbar.mb-2.mb-md-0
            div.btn-group.mr-2
                button(type="button", [ngClass]="{'btn-secondary':tNuevo==false, 'btn-outline-secondary':tNuevo==true}").btn
                    i.fas.fa-edit
                button(type="button", [ngClass]="{'btn-secondary':tNuevo==true, 'btn-outline-secondary':tNuevo==false}", (click)="Nuevo()").btn
                    i.fas.fa-plus

mixin TituloListado(Titulo)
    div.row
        div.col-12
            h6.card-title=Titulo

mixin BuscadorListado
    div.form-row
        div.form-group.col-4
            select([(ngModel)]="tFiltroActual").custom-select.custom-select-sm
                option(*ngFor="let tFiltro of tFiltros", [ngValue]="tFiltro") {{tFiltro.Filtro}}
        div.form-group.col-8
            input(type="text", placeholder="Ingrese busqueda", [(ngModel)]="tFiltroBusqueda").form-control.form-control-sm
    

mixin TablaListado(ListadoCabecera = [], TamanoColeccion, PaginaActual, TamanoPagina)
    div.form-row
        div.form-group.col-12
            div(style="overflow:scroll").table-responsive-lg
                table.table.table-sm.table-striped.table-hover
                    thead
                        tr
                            th
                            each Cabecera in ListadoCabecera
                                th
                                    h6.font-weight-bold=Cabecera
                    tbody
                        block ListadoContenido
    div.form
        div.col-12
            ngb-pagination([boundaryLinks]="true", [maxSize]="3", [rotate]="true", [collectionSize]= TamanoColeccion || 0, [(page)]= PaginaActual || 0, [pageSize]= TamanoPagina || 0).d-flex.justify-content-center

mixin PieListado(Cantidad = 0)
    div.row
        div.col-2.text-right.font-weight-bold
            label.h6.form-label.align-middle Cantidad:
        div.col-2.text-right.font-weight-bold
            label.h6.form-label.align-middle=Cantidad